<?xml version='1.0' encoding='UTF-8'?>

<!-- =========== FULL CONFIGURATION FILE ================================== -->

<faces-config version="1.2" 
    xmlns="http://java.sun.com/xml/ns/javaee" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_1_2.xsd">
    <managed-bean>
        <managed-bean-name>SessionBean1</managed-bean-name>
        <managed-bean-class>salaselo.SessionBean1</managed-bean-class>
        <managed-bean-scope>session</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>Inicio</managed-bean-name>
        <managed-bean-class>salaselo.Inicio</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>ApplicationBean1</managed-bean-name>
        <managed-bean-class>salaselo.ApplicationBean1</managed-bean-class>
        <managed-bean-scope>application</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>RequestBean1</managed-bean-name>
        <managed-bean-class>salaselo.RequestBean1</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>Home</managed-bean-name>
        <managed-bean-class>salaselo.Home</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <navigation-rule>
        <from-view-id>/Inicio.jsp</from-view-id>
        <navigation-case>
            <from-outcome>loginSuccess</from-outcome>
            <to-view-id>/Home.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>loginFailed</from-outcome>
            <to-view-id>/Inicio.jsp</to-view-id>
        </navigation-case>
    </navigation-rule>
    <navigation-rule>
        <from-view-id>/Home.jsp</from-view-id>
        <navigation-case>
            <from-outcome>salir</from-outcome>
            <to-view-id>/Inicio.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>entrar</from-outcome>
            <to-view-id>/PaginaSala.jsp</to-view-id>
        </navigation-case>
    </navigation-rule>
    <managed-bean>
        <managed-bean-name>PaginaSala</managed-bean-name>
        <managed-bean-class>salaselo.PaginaSala</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <navigation-rule>
        <from-view-id>/PaginaSala.jsp</from-view-id>
        <navigation-case>
            <from-outcome>volver</from-outcome>
            <to-view-id>/Home.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>daLoMismo</from-outcome>
            <to-view-id>/PaginaSala.jsp</to-view-id>
        </navigation-case>
    </navigation-rule>
</faces-config>
